mplayer 出错

为当前最终发行版之前的所有版本提供支持
回复
chpn
帖子: 415
注册时间: 2007-02-28 11:33
送出感谢: 0
接收感谢: 0

mplayer 出错

#1

帖子 chpn » 2007-05-04 23:10

chpn@chpn-desktop:~$ mplayer
mplayer: error while loading shared libraries: libmad.so.0: wrong ELF class: ELFCLASS32

我已经重装了mplayer 并且重装了gstreamer*

重装前是把 /usr/lib/libmad.so.0 删除了再装的.
chpn
帖子: 415
注册时间: 2007-02-28 11:33
送出感谢: 0
接收感谢: 0

#2

帖子 chpn » 2007-05-05 21:13

将所有已安装的与影音相关的包都重装了,还是不行

下过含有libmad.so.0的rpm包,但安装不起

ubuntu没有提供一个可以通过 动态库查找deb包的方法。也就找不到什么包中有此动态库。
chpn
帖子: 415
注册时间: 2007-02-28 11:33
送出感谢: 0
接收感谢: 0

#3

帖子 chpn » 2007-05-07 16:46

top
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#4

帖子 内存不足 » 2007-05-07 16:52

怎么装的? 默认 sudo aptitude install mplayer就万事ok了。
再装上 w32code 解码器的包
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
holddreams
帖子: 198
注册时间: 2007-05-06 0:53
送出感谢: 0
接收感谢: 0

#5

帖子 holddreams » 2007-05-07 22:26

w32code
这个有for amd64的吗?
谢谢
sxmt
帖子: 6
注册时间: 2007-04-08 16:29
送出感谢: 0
接收感谢: 0

#6

帖子 sxmt » 2007-05-07 22:40

楼上的有啊下午我才装上的,在他的主页上找http://www1.mplayerhq.hu/MPlayer/releases/codecs/
回复

回到 “老旧版本支持”